Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 280704 - app-office/openoffice-3.0.1: Supported gcc majors are 2 , 3 and 4 <= 4.3. Unsupported gcc major version.
Summary: app-office/openoffice-3.0.1: Supported gcc majors are 2 , 3 and 4 <= 4.3. Un...
Status: RESOLVED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-08-07 22:10 UTC by Erik
Modified: 2009-08-12 21:01 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik 2009-08-07 22:10:14 UTC
emerge app-office/openoffice-3.0.1 fails with the following message:
/portage_tmpdir/portage/app-office/openoffice-3.0.1/work/ooo/build/ooo300-m15/cppu/source/AffineBridge
Making: ../../unxlngi6.pro/slo/AffineBridge.obj
In file included from ../../inc/cppu/macros.hxx:34,
                 from /portage_tmpdir/portage/app-office/openoffice-3.0.1/work/ooo/build/ooo300-m15/solver/300/unxlngi6.pro/inc/offuh/com/sun/star/uno/TypeClass.hdl:6,
                 from ../../inc/com/sun/star/uno/Type.h:35,
                 from ../../inc/com/sun/star/uno/Any.h:35,
                 from ../../inc/cppu/helper/purpenv/Mapping.hxx:34,
                 from /portage_tmpdir/portage/app-office/openoffice-3.0.1/work/ooo/build/ooo300-m15/cppu/source/AffineBridge/AffineBridge.cxx:39:
../../inc/uno/lbnames.h:73:2: error: #error "Supported gcc majors are 2 , 3 and 4 <= 4.3.  Unsupported gcc major version."


Reproducible: Always

Steps to Reproduce:




using GCC 4.4.1
Comment 1 cyrillic 2009-08-08 00:49:11 UTC
app-office/openoffice-3.1.0-r1 compiles fine for me using gcc-4.4.1

... at least on the ARCHes that I have tested (~amd64 ~ppc ~x86)
Comment 2 Erik 2009-08-08 06:27:35 UTC
Here is the piece of code from /portage_tmpdir/portage/app-office/openoffice-3.0.1/work/ooo/build/ooo300-m15/cppu/inc/uno/lbnames.h that produces the error:
/* g++ 2.x, 3.0 */
#elif defined (__GNUC__)
#if (__GNUC__ == 2 && __GNUC_MINOR__ == 91)
#define TMP_CPPU_ENV gcc2
#elif (__GNUC__ == 2 && __GNUC_MINOR__ == 95)
#define TMP_CPPU_ENV gcc2
#elif (__GNUC__ == 2)
#error "Tested gcc 2 versions are 2.91 and 2.95.  Patch uno/lbnames.h to try your gcc 2 version."
#elif (__GNUC__ == 3 && __GNUC_MINOR__ <= 4)
#define __CPPU_ENV gcc3
#elif (__GNUC__ == 4 && __GNUC_MINOR__ <= 3)
#define __CPPU_ENV gcc3
#elif (__GNUC__ == 3)
#error "Tested gcc 3 version is <= 3.4.  Patch uno/lbnames.h to try your gcc 3 version."
#else
#error "Supported gcc majors are 2 , 3 and 4 <= 4.3.  Unsupported gcc major version."
#endif /* defined (__GNUC__) */
Comment 3 Erik 2009-08-08 06:33:48 UTC
(In reply to comment #1)
> app-office/openoffice-3.1.0-r1 compiles fine for me using gcc-4.4.1

Since it is not exactly a mystery that it fails with that piece of code, I wonder how it can work for you. Maybe it is only some USE-flag that causes that code to be #included? Which USE-flags do you have? Here are mine:

USE="cups kde nsplugin opengl pam -binfilter -dbus -debug -eds -gnome -gstreamer -gtk -java -ldap -mono -odk -templates" LINGUAS="de sv -af -ar -as_IN -be_BY -bg -bn -br -bs -ca -cs -cy -da -dz -el -en -en_GB -en_US -en_ZA -eo -es -et -fa -fi -fr -ga -gl -gu -he -hi_IN -hr -hu -it -ja -ka -kk -km -ko -ku -lt -lv -mk -ml_IN -mn -mr_IN -nb -ne -nl -nn -nr -ns -or_IN -pa_IN -pl -pt -pt_BR -ru -rw -sh -sk -sl -sr -ss -st -sw_TZ -ta -te_IN -tg -th -ti_ER -tn -tr -ts -uk -ur_IN -ve -vi -xh -zh_CN -zh_TW -zu"
Comment 4 James Earl Spahlinger 2009-08-09 22:04:39 UTC
Please paste the output of 'emerge --info' into a bugzilla comment to assist the maintainers in resolving this issue

Comment 5 Erik 2009-08-09 22:51:39 UTC
# emerge --info
Portage 2.2_rc36 (default/linux/x86, gcc-4.4.1, glibc-2.9_p20081201-r2, 2.6.29-gentoo-r5 i686)
=================================================================
System uname: Linux-2.6.29-gentoo-r5-i686-Intel-R-_Pentium-R-_M_processor_1.60GHz-with-glibc2.0
Timestamp of tree: Sat, 08 Aug 2009 07:00:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p39
dev-lang/python:     2.5.4-r3
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4-r2
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3, 2.18.50.0.9
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=pentium-m -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O3 -march=pentium-m -fomit-frame-pointer -pipe"
DISTDIR="/portage_tmpdir/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="assume-digests distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://trumpetti.atm.tut.fi/gentoo/"
LANG="sv_SE.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="sv de"
PKGDIR="/portage_tmpdir/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/portage_tmpdir"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X Xaw3d a52 aac acl acpi ada alsa apache2 arts athena audiofile authdaemond bash-completion berkdb bzip2 cairo canna cdda cddb cdio cdparanoia cli cracklib crypt css cups curl dga dhcp directfb doc dri dts dvb dvd dvdread emacs encode expat fam fbcon ffmpeg firefox flac freewnn gd ggi gif glibc-omitfp gmp gnutls gold gpm guile hal howl httpd i8x0 iconv imlib ipv6 isdnlog jadetex javascript jpeg jpeg2k kde kdeenablefinal kdehiddenvisibility kerberos krb4 laptop lcms leim lesstif libg++ libsamplerate mad matroska mikmod mjpeg mmx mmx2 mng moznocompose moznoirc moznomail moznoroaming mp3 mpeg mudflap mule musepack musicbrainz mysql ncurses networking nls no-old-linux nojoystick nptl nptlonly nsplugin odbc ogg openexr opengl openmp pam pcmcia pcre pdf perl physfs png portaudio postgres povray pppd python qt3 qt4 quicktime quotas readline reflection samba sasl sdl session slp sndfile speex spell spl sql sse sse2 ssl stream subversion svg tcpd theora tidy tiff toolkit-scroll-bars truetype udev unicode usb v4l vcd vda vorbis wifi win32codecs wma wmf x86 xanim xface xine xinerama xml xorg xv zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="sv de" SANE_BACKENDS="dell1600n_net" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 6 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-08-12 20:58:25 UTC
(In reply to comment #3)
> (In reply to comment #1)
> > app-office/openoffice-3.1.0-r1 compiles fine for me using gcc-4.4.1
> 
> Since it is not exactly a mystery that it fails with that piece of code, I
> wonder how it can work for you. Maybe it is only some USE-flag that causes that
> code to be #included? Which USE-flags do you have? Here are mine:

Wait a sec, is this bug about 3.0.1 or 3.1.0 ?!? 

Erik, If you are using the latest toolchain, please use the latest versions of the applications in the tree.

From 3.1.0-r1: "cp -f "${FILESDIR}/buildfix-gcc44.diff" "${S}/patches/hotfixes" || die"

Without investigation, I can see that 3.1.0 has been inspected and should work. I would resolve this as INVALID, but I will leave that to someone else.
Comment 7 Samuli Suominen gentoo-dev 2009-08-12 21:01:05 UTC
Yes, you can't expect that old version of OpenOffice builds with p.masked GCC. Use latest available.